#!/bin/sh

if [ $# -eq 1 -a -d $1 ]; then
    PKGLIST="`find $1 -name \"*.deb\"`"
    for i in $PKGLIST; do
	PKG=`dpkg-deb -f $i Package`
	PRI=`dpkg-deb -f $i Priority`
	SEC=`dpkg-deb -f $i Section`
	echo "$PKG $PRI $SEC"
    done
else
    echo "Use: $0 directory"
    echo ""
fi
